Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page # packed_channel_reference< BitField, FirstBit, NumBits, false > Class Template Reference [packed_channel_reference] `#include <channel.hpp>` Inherits boost::gil::detail::packed_channel_reference_base< boost::gil::packed_channel_reference< BitField, FirstBit, NumBits, false >, BitField, NumBits, false >. List of all members. ## Detailed Description ### template<typename BitField, int FirstBit, int NumBits> class boost::gil::packed_channel_reference< BitField, FirstBit, NumBits, false > A constant subbyte channel reference whose bit offset is fixed at compile time. Models ChannelConcept.
## Public Types
typedef const packed_channel_reference < BitField, FirstBit, NumBits, false > | const_reference
typedef const packed_channel_reference < BitField, FirstBit, NumBits, true > | mutable_reference
typedef parent_t::integer_t | integer_t
## Public Member Functions
| packed_channel_reference (const void *data_ptr)
| packed_channel_reference (const packed_channel_reference &ref)
| packed_channel_reference (const mutable_reference &ref)
unsigned | first_bit () const
integer_t | get () const
## Friends
class | packed_channel_reference< BitField, FirstBit, NumBits, true >
The documentation for this class was generated from the following file: channel.hpp